org.apache.felix.bundlerepository.impl

## Class ResourceCapabilityImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ResourceCapabilityImpl

All Implemented Interfaces:
  ResourceCapability

    public class ResourceCapabilityImpl
    extends java.lang.Object
    implements ResourceCapability

### Constructor Summary

Constructors
Constructor and Description
`ResourceCapabilityImpl(Resource resource, Capability capability)`

### Method Summary

Methods
`Capability` `getCapability()`
`Resource` `getResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceCapabilityImpl

    public ResourceCapabilityImpl(Resource resource,
                          Capability capability)

### Method Detail

#### getResource

    public Resource getResource()

Specified by:
  `getResource` in interface `ResourceCapability`

#### getCapability

    public Capability getCapability()

Specified by:
  `getCapability` in interface `ResourceCapability`